SystemOrganization addCategory: #'Curium-Tests'!

TestCase subclass: #CMMakeV2dot6Test
	instanceVariableNames: 'cmake'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Curium-Tests'!

!CMMakeV2dot6Test class methodsFor: 'accessing' stamp: 'BernardoContreras 6/28/2012 13:04'!
packageNamesUnderTest
	^ #('Curium-Core')! !

!CMMakeV2dot6Test methodsFor: 'convenience' stamp: 'BernardoContreras 6/28/2012 14:56'!
assert: expected equalsContentsOf: aCMake
	| stream |
	stream := String new writeStream.
	aCMake writeOn: stream.
	self assert: expected  equals: stream contents ! !

!CMMakeV2dot6Test methodsFor: 'convenience' stamp: 'BernardoContreras 6/28/2012 12:36'!
commandNamed: name
	^ CMCommand named: name! !

!CMMakeV2dot6Test methodsFor: 'running' stamp: 'BernardoContreras 6/28/2012 14:35'!
setUp
	cmake := CMMakeGenerator v2dot6 ! !

!CMMakeV2dot6Test methodsFor: 'tests' stamp: 'BernardoContreras 6/28/2012 15:45'!
testAsString
	| expected |
	expected := 'a ', CMMakeV2dot6 asString , ' [', Character cr asString,
			       'cmake_minimum_required(VERSION 2.6)', Character cr asString,
			       $] asString.
	self assert: expected equals: cmake asString ! !

!CMMakeV2dot6Test methodsFor: 'tests' stamp: 'BernardoContreras 6/28/2012 12:43'!
testCommandWithQuotedArgsToString
	| cmd |
	cmd := self commandNamed: 'project'.
	cmd addQArg: 'Hello'.
	self assert: 'project(''Hello'')' equals: cmd asString! !

!CMMakeV2dot6Test methodsFor: 'tests' stamp: 'BernardoContreras 6/28/2012 14:57'!
testWriteBasicConfigOnString
	self assert: 'cmake_minimum_required(VERSION 2.6)' equalsContentsOf: cmake! !

!CMMakeV2dot6Test methodsFor: 'tests' stamp: 'BernardoContreras 6/28/2012 14:56'!
testWriteConfigWithOneCommandOnString
	| expected |
	cmake project addArg: 'MyTestProject'.
	expected := 'cmake_minimum_required(VERSION 2.6)' , Character cr asString , 'project(MyTestProject)'.
	self assert: expected equalsContentsOf: cmake! !
